Bug 1283455 - No instruction on how to retry storage scan when failed to scan disk
No instruction on how to retry storage scan when failed to scan disk
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
23
x86_64 Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-18 20:52 EST by 8kilometers
Modified: 2016-12-20 11:04 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 11:04:41 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description 8kilometers 2015-11-18 20:52:12 EST
Description of problem:
I booted the installer and it said failed to scan disk <disk>, "Once you have resolved the issue you can retry the storage scan." (i had a disk without a label on it, but with a partition on it)
There needs to be text saying how to retry the storage scan, or just a button.

Version-Release number of selected component (if applicable):
Server netinstall 23 x86_64
anaconda 23.19.10-1

How reproducible:
Boot the installer with a disk inserted that has a partition, but no disklabel.

Steps to Reproduce:
1. Make disk with partition, but not disklabel.
2. Insert disk.
3. Boot installer.

Actual results:
I fixed the issue (by removing the disk), but did not know how to "retry the storage scan"

Expected results:
Should say how to retry storage scan, or have a button to do it, or something like that.
This error could also have an ignore option as it doesn't matter if there isn't a label on a disk, and the failure to scan can be ignored entirely if you don't plan to use that disk.

Additional info:
I also found out my F1 key was broken (thought it was broken in OS before), but had no way of testing keyboard. It would be nice if there were a text box that started selected to test the keyboard, and even maybe a box with raw hid.
The text that says to file a bug could include details like what to enter as the component and version.
Comment 1 Fedora End Of Life 2016-11-24 08:34:08 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2016-12-20 11:04:41 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.